<template>
    
    <section>

    	<button type="button" class="btn btn-info padding top-margin-15" data-toggle="modal" @click="openModal()"> <i class="fa fa-upload margin-right-15"></i> Upload Image</button>
        <div v-bind:id="modal" class="modal fade" role="dialog">
            <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                    	<flash-message class="myCustomClass"></flash-message>

                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-upload"></i> Upload Picture</h4>
                    </div>
                    <div class="modal-body">
                    	<div >
			    		<image-uploader style="max-width:250px;"
					        :preview="true"
					        :maxWidth="512"
					        :className="['fileinput', { 'fileinput--loaded': hasImage }]"
					        capture="environment"
					        :debug="0"
					        :quality="0.7"
    						:autoRotate=true
					        outputFormat="verbose"
					        accept="image/jpeg,image/png"
					        @input="setImage"
							:scaleRatio="1"
					     ></image-uploader>
					</div>

					<button v-if="hasImage" @click="postImage()" class="btn btn-default">Upload*</button>
					<button type="button" class="btn btn-default" id="closeModel" data-dismiss="modal">Close</button>
                    </div> 
                </div> 
            </div> 
        </div> 

    </section>
</template>

<script>
    export default {
        name: "carUploader",
	    props:['url', 'avatar', 'modal'],
	    data(){
	    	return{
	    		hasImage:false,
	    		image:'',
	    	}
	    },
	    methods: {
	    	openModal(){
	    		jQuery('#'+this.modal).modal('show');
	    	},
	    	setImage: function(output){
	    		this.hasImage = true;
	    		this.image = output;
	    		console.log(this.image);
	    	},
	    	postImage(){
	    		jQuery('#loading').show();
	    		console.log(this.image.dataUrl);
	            axios.post(this.url, {
	                body: {
	                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
	                    'image' : this.image.dataUrl,
	                }
	            }).then(response => {
	                this.flash(response.data['message'], response.data['status'],{timeout: 3000});
	                jQuery('#loading').hide();
	                location.reload();

	            }).catch(e => {
	                this.flash('Server 500 error please try again', 'error',{timeout: 3000});
	                console.log(e);
	                jQuery('#loading').hide();
	            })

	        },
	    }
    }
</script>

<style scoped>

</style>